%define	name	gnutls
%define version 1.6.1
%define subrel	1
%define release %mkrel 1

# older opencdk forgot to bundle m4 file
%define opencdk_version 0.5.4-2mdk
%define libgcrypt_version 1.1.94

%define major 13
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}

Summary:	Library providing a secure layer (SSL)
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.gnutls.org/
License:	GPL/LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	ftp://ftp.gnutls.org/pub/gnutls/%{name}-%{version}.tar.bz2
Source1:	%{SOURCE0}.sig

Patch0:		gnutls-1.4.1-rh-CVE-2008-1948,1949,1950.patch

BuildRequires:	opencdk-devel >= %{opencdk_version}
BuildRequires:	liblzo-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}

%description
GnuTLS is a project that aims to develop a library which provides 
a secure layer, over a reliable transport layer.

%package -n	%{libname}
Summary:	Library providing a secure layer (SSL)
Group:		System/Libraries
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

%package -n	%{libname}-devel
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{name} = %{version}
Requires:	%{libname} = %{version}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	opencdk-devel >= %{opencdk_version}
Requires:	libgcrypt-devel >= %{libgcrypt_version}

%description -n	%{libname}-devel
GnuTLS is a project that aims to develop a library which provides
a secure layer, over a reliable transport layer.

This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .cve-2008-1948,1949,1950
autoreconf

%build
export CPPFLAGS="-I%_includedir/lzo"
%configure2_5x \
	--with-included-libtasn1=yes \
	--with-included-libcfg=yes \
	--disable-srp-authentication

%make

%install
rm -rf %{buildroot}

%{makeinstall_std}

%{find_lang} %{name}
%multiarch_binaries %{buildroot}%{_bindir}/libgnutls-config %{buildroot}%{_bindir}/libgnutls-extra-config

%clean
rm -rf %{buildroot}

%post
%_install_info gnutls.info

%post -p /sbin/ldconfig -n %{libname}

%postun
%_remove_install_info gnutls.info

%postun -p /sbin/ldconfig -n %{libname}

%files -f %{name}.lang 
%defattr(-,root,root)
%doc ChangeLog NEWS README COPYING
%{_bindir}/[cgs]*
%{_bindir}/psktool
%{_mandir}/man?/*
%{_infodir}/gnutls*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_bindir}/libgnutls*
%{_includedir}/gnutls
%{_datadir}/aclocal/*

%multiarch
%{multiarch_bindir}/libgnutls-config 
%{multiarch_bindir}/libgnutls-extra-config 


%changelog
* Tue May 20 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.6.1-1.1mdv2007.1
- P0: security fix for CVE-2008-1948, CVE-2008-1949, CVE-2008-1950

* Tue Jan 23 2007 Stew Benedict <sbenedict@mandriva.com> 1.6.1-1mdv2007.0
+ Revision: 112605
- 1.6.1
  drop P0 - merged upstream
  work around %%multiarch weirdness for multiple files

* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
+ Revision: 85045
- Import gnutls



* Thu Nov 16 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.5-1mdv2007.1
- 1.4.5

* Wed Sep 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.4.0-4mdv2007.0
- - Rebuild against ncurse

* Tue Sep 19 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-3mdv2007.0
- P0: security fix for CVE-2006-4790

* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.0-2mdv2007.0
- Rebuild

* Thu May 25 2006 Stew Benedict <sbenedict@mandriva.com> 1.4.0-1mdv2007.0
- 1.4.0

* Fri Apr 14 2006 Stew Benedict <sbenedict@mandriva.com> 1.0.25-4mdk
- P3: security fix for CVE-2006-0645

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.25-3mdk
- Rebuild

* Tue Jun 28 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-2mdk
- replace source 2 by patch 2 and update it for new liblzo

* Wed Jun  1 2005 Gtz Waschk <waschk@mandriva.org> 1.0.25-1mdk
- update patch 1
- update minilzo to 2.00
- new version

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 1.0.23-2mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.23-1mdk
- 1.0.23
- fix %%libname_orig
- remove patent tainted SRP code (P1 from fedora)
- drop P0 (fixed upstream)
- fix summary-ended-with-dot

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 1.0.13-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.10-1mdk
- new release

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4

* Sat Dec 27 2003 Abel Cheung <deaddog@deaddog.org> 1.0.3-1mdk
- New version
- Fix devel package dependency
- Use tar.gz tarball and include signature (source verification)

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release
- fix buildrequires

* Sun Nov 16 2003 Abel Cheung <deaddog@deaddog.org> 0.8.12-1mdk
- 0.8.12
- Use included libtasn1 instead, otherwise gossip ssl connection won't
  work, thanks to Michael Reinsch (mr at uue.org)
- Only wants opencdk = 0.5.1 (0.5.2+ is for gnutls 0.9.x)
- Remove patch0 (upstream)

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.8.11-2mdk
- Rebuild with shared opencdk, libtasn1 and liblzo
- Provides lib64gnutls-devel in 64bit arch, not libgnutls-devel
- Some part of GnuTLS is still in GPL
- More convenient url
- Patch0: Fix non-existant variable type when compiling openpgp support

* Sun Oct 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.11-1mdk
- Release 0.8.11
- Fix url

* Tue Aug  5 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.9-1mdk
- Initial Mdk package (from imendio)
